Jump to content
Search In
  • More options...
Find results that contain...
Find results in...

[1.16.5] Capability cannot be cast to [..]


Phi
 Share

Recommended Posts

Hello, when I load my mod along with other mods, I run into a crash on world load that goes along the lines of "Capability A cannot be cast to Capability B", where Capability A is mine and B is whichever other one. It does this for multiple other mods so I'm guessing I did something stupid, but I have no clue what. The error itself also occurs in the other mods, so I don't know where to look in my code.
Some examples:
 

[Render thread/ERROR] [net.minecraftforge.eventbus.EventBus/EVENTBUS]: Exception caught during firing event: dev.stormwatch.vanillaspice.data.DefaultPlayerStats cannot be cast to tschipp.carryon.common.capabilities.Imposition

[Server thread/ERROR] [net.minecraftforge.eventbus.EventBus/EVENTBUS]: Exception caught during firing event: dev.stormwatch.vanillaspice.data.DefaultPlayerStats cannot be cast to twilightforest.capabilities.shield.IShieldCapability

Any insight would be appreciated. 

 

https://github.com/Phi-1/VanillaSpice

Link to comment
Share on other sites

I guess because it goes through so many layers behind the scenes that it's hard to understand at first glance what you're supposed to provide where. I'm sure that it's simple enough once you understand how it works, but I'm not there yet.

Also I suppose that's kind of what modding is like in general.

Edited by Phi
Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

 Share



  • Recently Browsing

    No registered users viewing this page.

  • Posts

    • 1.12 is no longer supported on this forum. Please update to a modern version of Minecraft to receive support.
    • if you are using Eclipse, you will find the vanilla code in Your Workspace Folder (in Eclipse) > Project and External Dependencies > forge_version > package net.minecraft then you need to look at the EnderChestBlock, another way to find the class would be to search for it via CTRL + SHIFT + H (Note this is the Eclipse key shortcut).
    • java.net.preferIPv4Stack=true Considering library net.minecraftforge:forge:1.12.2-14.23.5.2838: Not Downloading {Wrong Side} Considering library net.minecraft:launchwrapper:1.12: Not Downloading {Wrong Side} Considering library org.ow2.asm:asm-all:5.2 Considering library org.jline:jline:3.5.1: Not Downloading {Wrong Side} Considering library net.java.dev.jna:jna:4.4.0: Not Downloading {Wrong Side} Considering library com.typesafe.akka:akka-actor_2.11:2.3.3 Considering library com.typesafe:config:1.2.1 Considering library org.scala-lang:scala-actors-migration_2.11:1.1.0 Considering library org.scala-lang:scala-compiler:2.11.1 Considering library org.scala-lang.plugins:scala-continuations-library_2.11:1.0.2 Checking "C:\Users\<username>\AppData\Roaming\.minecraft\libraries\org\scala-lang\plugins\scala-continuations-library_2.11\1.0.2\scala-continuations-library_2.11-1.0.2.jar" internal checksums checksums.sha1 was not found, validation failed Downloading library org.scala-lang.plugins:scala-continuations-library_2.11:1.0.2 Trying unpacked library org.scala-lang.plugins:scala-continuations-library_2.11:1.0.2 Checking "C:\Users\<username>\AppData\Roaming\.minecraft\libraries\org\scala-lang\plugins\scala-continuations-library_2.11\1.0.2\scala-continuations-library_2.11-1.0.2.jar" internal checksums checksums.sha1 was not found, validation failed File not found in installer archive: /maven/org/scala-lang/plugins/scala-continuations-library_2.11/1.0.2/scala-continuations-library_2.11-1.0.2.jar Considering library org.scala-lang.plugins:scala-continuations-plugin_2.11.1:1.0.2 Checking "C:\Users\<username>\AppData\Roaming\.minecraft\libraries\org\scala-lang\plugins\scala-continuations-plugin_2.11.1\1.0.2\scala-continuations-plugin_2.11.1-1.0.2.jar" internal checksums checksums.sha1 was not found, validation failed Downloading library org.scala-lang.plugins:scala-continuations-plugin_2.11.1:1.0.2 Trying unpacked library org.scala-lang.plugins:scala-continuations-plugin_2.11.1:1.0.2 Checking "C:\Users\<username>\AppData\Roaming\.minecraft\libraries\org\scala-lang\plugins\scala-continuations-plugin_2.11.1\1.0.2\scala-continuations-plugin_2.11.1-1.0.2.jar" internal checksums checksums.sha1 was not found, validation failed File not found in installer archive: /maven/org/scala-lang/plugins/scala-continuations-plugin_2.11.1/1.0.2/scala-continuations-plugin_2.11.1-1.0.2.jar Considering library org.scala-lang:scala-library:2.11.1 Considering library org.scala-lang:scala-parser-combinators_2.11:1.0.1 Considering library org.scala-lang:scala-reflect:2.11.1 Considering library org.scala-lang:scala-swing_2.11:1.0.1 Considering library org.scala-lang:scala-xml_2.11:1.0.2 Considering library lzma:lzma:0.0.1: Not Downloading {Wrong Side} Considering library net.sf.jopt-simple:jopt-simple:5.0.3: Not Downloading {Wrong Side} Considering library java3d:vecmath:1.5.2 Considering library net.sf.trove4j:trove4j:3.0.3 Considering library org.apache.maven:maven-artifact:3.5.3 Here is the entire log. I'm trying to get RLCraft to work.  Java is updated. I used the jar version of the download.
  • Who's Online (See full list)

×
×
  • Create New...

Important Information

By using this site, you agree to our Privacy Policy.